package com.lz.modules.flow.dao;
/**
* <p>
* 模板计算公式 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.ResultCalculate;
import com.lz.modules.flow.model.ResultCalculateDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultCalculateMapper extends BaseMapper<ResultCalculate> {


	ResultCalculate selectResultCalculateById(@Param("id")Long id);


	Long insertResultCalculate(ResultCalculate resultCalculate);


	int updateResultCalculateById(ResultCalculate resultCalculate);


	int updateCoverResultCalculateById(ResultCalculate resultCalculate);


	int deleteResultCalculateById(@Param("id")Long id);


    List<ResultCalculateDto> selectResultCalculateByBusinessId(Long id);
}